#include <bits/stdc++.h>
#include "partition.h"

using namespace std;

vector<int> solve(vector<int> a) {
    int n = a.size();
    vector<pair<int, int> > b(n);
    for (int i = 0; i < n; ++i) {
        b[i].first = a[i];
        b[i].second = i;
    }
    sort(b.begin(), b.end());
    vector<int> ans(n);
    for (int i = 0; i < n; ++i) {
        ans[i] = b[i].second;
    }
    /*for (auto i : ans) {
        cout << i << ' ';
    }
    cout << '\n';*/
    return ans;
}
